x

Search in
Sort by:

Question Status:

Search help

  • Simple searches use one or more words. Separate the words with spaces (cat dog) to search cat,dog or both. Separate the words with plus signs (cat +dog) to search for items that may contain cat but must contain dog.
  • You can further refine your search on the search results page, where you can search by keywords, author, topic. These can be combined with each other. Examples
    • cat dog --matches anything with cat,dog or both
    • cat +dog --searches for cat +dog where dog is a mandatory term
    • cat -dog -- searches for cat excluding any result containing dog
    • [cats] —will restrict your search to results with topic named "cats"
    • [cats] [dogs] —will restrict your search to results with both topics, "cats", and "dogs"

How to fully setup UE4 to work with VS2017?

The 4.14 version provides Visual Studio '15' preview support, but now visual studio is called Visual Studio 2017, and when i use the native support from UE4 and press Open Visual Studio Project it still opens in VS2015. Is there any way to make it use the 2017 version when opening from the file menu?

Product Version: UE 4.14
Tags:
more ▼

asked Nov 17 '16 at 02:16 AM in C++ Programming

avatar image

Chiniara
11 1 2 2

avatar image bigeyesung Nov 14 '17 at 02:27 PM

I installed 14Toolchain and nothing changed. My case is VS2017 works but from Unreal editor it always open VS2015 as its default choice(I changed Edit>Editor Preferences>General>Source Code>Accessor as well). So VS2017 is working and it needs to open yourself, it looks like it is a bug?

(comments are locked)
10|2000 characters needed characters left

3 answers: sort voted first

Edit>Editor Preferences>General>Source Code>Accessor

more ▼

answered May 16 '17 at 09:28 PM

avatar image

Raistlin_Majere
66 2 4 10

avatar image Kytie May 20 '17 at 10:14 AM

This worked for me however I also had to "Refresh Visual Studio Project" as my files were originally created in Visual Studio 2015.

avatar image UmeerFI Jul 21 '18 at 07:56 PM

How did you do the "Refresh Visual Studio Project" bit?

avatar image YuchenMei Dec 07 '18 at 04:25 PM

File>Refresh Visual Studio Project in the editor

(comments are locked)
10|2000 characters needed characters left

I think the previous answer is incorrect.

I would say that you can actually use any IDE for UE4 Development as soon as you use the Visual Studio 2015 toolchain. So you should be able to use VS2017 for coding purpose. You just want to make sure that you have the vc140 toolchain installed on your computer (by installing VS2015).

It can be interesting to have your feedback about it so don't hesitate to post it here (if you go for it) as an answer or edit :D

Good luck. Best regards.

more ▼

answered Nov 17 '16 at 12:18 PM

avatar image

NymKappa
687 30 20 52

avatar image Chiniara Nov 17 '16 at 01:08 PM

I tried to activate the Visual Studio '15' option inside unreal but it still doesn't recognize the IDE , when i go to Open Visual Studio it opens the 2015 version and not the '15'/2017

avatar image mesterKG Mar 23 '17 at 06:08 PM

Try generating visual studio files from file explorer (right click on uproject file) and then it shoud open vs2017 by default from within the editor.

avatar image NymKappa Mar 23 '17 at 06:19 PM

Dude... xD

avatar image NymKappa Nov 17 '16 at 01:13 PM

That's totally okay. I mean you don't need this "Open Visual Studio" from the editor feature at all. Just open your .sln with Visual Studio 2017 as you would do for any project and work from there.

If your question is about "How to fully setup UE4 to work with VS2017" then you should rewrite the title :)

avatar image Chiniara Nov 17 '16 at 01:16 PM

Thanks Joris, i'll change the title to better serve this question.

avatar image NymKappa Nov 17 '16 at 01:35 PM

Not being mentioned in the documentation doesn't mean that you can't do things, not at all. The documentation is here to orient people in the most common tasks. If you want to do something more specific (like using Visual Studio 2017), you have to figure it out yourself, with help of the community !

avatar image A GUPTA Nov 17 '16 at 01:46 PM

that is true but i had faced issues when i had tried to use vs 2017 with 4.4 .... don't ask why use old version :)?

avatar image NymKappa Nov 17 '16 at 01:50 PM

You meant 4.4 with vs2015 right ? :D

avatar image A GUPTA Nov 17 '16 at 02:03 PM

Yes that is the case... I had run into this doc an that is why suggested the answer and nothing else . Yes of course it is possible what U suggest .

avatar image A GUPTA Nov 17 '16 at 01:47 PM

Sorry if I sounded rude at all Joris Vial

avatar image NymKappa Nov 17 '16 at 01:51 PM

No worry at all :p

(comments are locked)
10|2000 characters needed characters left

No U can only use 2015 for now ..... Earlier versions had 2013

more ▼

answered Nov 17 '16 at 06:26 AM

avatar image

A GUPTA
4k 102 46 616

(comments are locked)
10|2000 characters needed characters left
Your answer
toggle preview:

Up to 5 attachments (including images) can be used with a maximum of 5.2 MB each and 5.2 MB total.

Follow this question

Once you sign in you will be able to subscribe for any updates here

Answers to this question